# TransferListener (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.xfer
Interface TransferListener

All Superinterfaces:
  StreamCopier.Listener

All Known Implementing Classes:
  LoggingTransferListener

    public interface TransferListener

extends StreamCopier.Listener

Method Summary
`void` `finishedDir()`
`void` `finishedFile()`
`void` `startedDir(String name)`
`void` `startedFile(String name, long size)`

Methods inherited from interface net.schmizz.sshj.common.StreamCopier.Listener
`reportProgress`

Method Detail

### startedDir

    void startedDir(String name)

### startedFile

    void startedFile(String name,
                     long size)

### finishedFile

    void finishedFile()

### finishedDir

    void finishedDir()

Copyright © 2009-2011. All Rights Reserved.